package extend.mj.tip;


import extend.mj.EXPlayer;

/**
 * 
 * 
 * Action.java
 */
public class Action {
	
	public Tip		tip;
	public EXPlayer	player;
	public boolean  isRun;
	
	public Action(Tip tip, EXPlayer player) {
		this.tip = tip;
		this.player = player;

	}

	public void run() {
		if(this.isRun)return;
		this.isRun = true;
		this.player.initOpCard(tip.opcard);
		this.tip.rule.action(this.player,this.tip);
	}

}
